"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AirtableConfigValidator = void 0;
const velo_external_db_commons_1 = require("@wix-velo/velo-external-db-commons");
class AirtableConfigValidator {
    constructor(config) {
        this.config = config;
    }
    readConfig() {
        return this.config;
    }
    validate() {
        return {
            missingRequiredSecretsKeys: (0, velo_external_db_commons_1.checkRequiredKeys)(this.config, ['AIRTABLE_API_KEY', 'META_API_KEY', 'BASE_ID'])
        };
    }
}
exports.AirtableConfigValidator = AirtableConfigValidator;
//# sourceMappingURL=airtable_config_validator.js.map