"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptySort = exports.DEFAULT_MAX_RECORDS = exports.minifyAndFixDates = void 0;
const minifyAndFixDates = (record) => {
    if (record._createdDate && typeof record._createdDate === 'string')
        record._createdDate = new Date(record._createdDate);
    if (record._updatedDate && typeof record._updatedDate === 'string')
        record._updatedDate = new Date(record._updatedDate);
    return record;
};
exports.minifyAndFixDates = minifyAndFixDates;
exports.DEFAULT_MAX_RECORDS = 100;
exports.EmptySort = { sort: [] };
//# sourceMappingURL=airtable_utils.js.map