export { default as SchemaProvider } from './airtable_schema_provider';
export { default as DataProvider } from './airtable_data_provider';
export { default as FilterParser } from './sql_filter_transformer';
export { default as SchemaColumnTranslator } from './sql_schema_translator';
export { default as init } from './connection_provider';
export { default as DatabaseOperations } from './airtable_operations';
export { app as mockServer } from '../tests/drivers/mock_air_table';
export * as testResources from '../tests/e2e-testkit/airtable_resources';
import { DbConnector } from '@wix-velo/velo-external-db-commons';
export declare const driver: () => any;
export declare const opsDriver: () => any;
export declare class AirtableConnector extends DbConnector {
    constructor();
}
export declare const airtableFactory: (config: any, options: any) => Promise<{
    connector: AirtableConnector;
    connection: any;
    providers: {
        dataProvider: import("../../../dist/libs/velo-external-db-types/src").IDataProvider;
        schemaProvider: import("../../../dist/libs/velo-external-db-types/src").ISchemaProvider;
        databaseOperations: import("../../../dist/libs/velo-external-db-types/src").IDatabaseOperations;
    };
    cleanup: import("../../../dist/libs/velo-external-db-types/src").ConnectionCleanUp;
}>;
