import { InputField } from '@wix-velo/velo-external-db-types';
export interface IAirtableSchemaColumnTranslator {
    translateType(type: string): string;
    wixColumnToAirtableColumn(wixColumn: InputField): {
        name: string;
        type: string;
    };
}
export default class SchemaColumnTranslator implements IAirtableSchemaColumnTranslator {
    constructor();
    translateType(dbType: string): "number" | "datetime" | "text" | "boolean";
    wixColumnToAirtableColumn(column: InputField): {
        name: string;
        type: string;
    };
    dbTypeFor(type: string, subtype?: string): string;
}
