export { supportedOperations } from '../../src/supported_operations';
export declare const connection: () => Promise<{
    pool: import("airtable/lib/airtable_base").AirtableBase;
    schemaProvider: import("../../../../dist/libs/velo-external-db-types/src").ISchemaProvider;
    cleanup: import("../../../../dist/libs/velo-external-db-types/src").ConnectionCleanUp;
}>;
export declare const cleanup: () => Promise<void>;
export declare const initEnv: () => Promise<void>;
export declare const shutdownEnv: () => Promise<void>;
export declare const setActive: () => void;
export declare const schemaProviderTestVariables: () => {
    apiKey: string;
    metaApiKey: string;
    baseUrl: string;
};
export declare const name = "airtable";
